<div class="clinical-review">
  <app-content-banner [isDashboard]="false" pageName="Clinical Review"></app-content-banner>
  <mat-card class="clinical-review-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="true"></det-client-banner>
    </mat-card-header>

    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="selectedTab" (selectedTabChange)="tabChanged()">

        <!--Mental Health Condition Tab-->
        <mat-tab [disabled]="!isMentalHealthConditionTabEnabled">
          <ng-template matTabLabel>
            <span>Mental Health Conditions</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="clinical-review-small-box mat-elevation-z4" fxLayout="column">
                <div class="clinical-review-container mat-elevation-z4">
                  <form [formGroup]="mentalHealthGroup" autocomplete="off">

                    <!--Diagnosis-->
                    <mat-expansion-panel [expanded]="mentalDiagnosesExpanded" (opened)="mentalDiagnosesExpanded = true"
                      (closed)="mentalDiagnosesExpanded = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          <mat-icon>{{mentalDiagnosesExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                          <span class="clinicalReview-expansion-label">Diagnoses</span>
                        </mat-panel-title>
                      </mat-expansion-panel-header>
                      <section>
                        <div class="margin-left-10">
                          <det-diagnosis [name] = "'Medical Diagnoses'"  [hasDiagnosis]="hasMedicalDiagnosis"
                            [options]="medicalDiagnosis" [diagnosis]="mdList" [allDiagnosisList]="diagnosisSearchList">
                          </det-diagnosis>
                        </div>
                        
                        <div class="margin-left-10">
                          <det-diagnosis [name] = "'Principal Diagnoses'"  [hasDiagnosis]="hasPrincipalDiagnosis"
                            [options]="principalDiagnosis" [diagnosis]="pdList"
                            [allDiagnosisList]="diagnosisSearchList">
                          </det-diagnosis>
                        </div>

                        <div class="margin-left-10">
                          <det-diagnosis [name] = "'Other Conditions that may be the focus of Clinical Attention'" [hasDiagnosis]="hasOtherDiagnosis"
                            [options]="otherDiagnosis" [diagnosis]="odList" [allDiagnosisList]="diagnosisSearchList">
                          </det-diagnosis>
                        </div>

                      </section>
                    </mat-expansion-panel>

                    <br />
                    <!--Documents-->  
                    <mat-expansion-panel [expanded]="mentalHealthDocumentsExpanded"
                      (opened)="mentalHealthDocumentsExpanded = true" (closed)="mentalHealthDocumentsExpanded = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          <mat-icon>{{mentalHealthDocumentsExpanded  ? 'indeterminate_check_box' : 'add_box' }}
                          </mat-icon>
                          <span class="clinicalReview-expansion-label">Documents</span>
                        </mat-panel-title>
                      </mat-expansion-panel-header>
                      <section *ngIf="mentalHealthDocuments.pactApplicationId > 0">
                        <app-det-housing-determination-documents
                          [housingDeterminationDocumentsData]="mentalHealthDocuments">
                        </app-det-housing-determination-documents>
                      </section>
                    </mat-expansion-panel>

                    <br />

                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Mental Health Conditions Questions</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
                      </div>

                      <!-- Question 1-->
                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a current mental health diagnosis?</span>
                          <span class="padding-left-20">({{ currentMHDiagnosisOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group aria-label="Select an option" formControlName="currentMHDiagnosis">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" (click)="currentMHDiagnosisSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" (click)="currentMHDiagnosisSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ currentMHDiagnosisSourceText }} </div>
                          </mat-radio-group>
                        </div>

                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a current mental health diagnosis or condition?</span>
                          <span class="padding-left-20">({{ currentMHDiagnosisOrConditionOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isCurrentMHDiagnosisOrConditionDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="currentMHDiagnosisOrCondition">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isCurrentMHDiagnosisOrConditionDisabled" (click)="currentMHDiagnosisOrConditionSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isCurrentMHDiagnosisOrConditionDisabled" (click)="currentMHDiagnosisOrConditionSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ currentMHDiagnosisOrConditionSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <!-- Question 2-->
                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant had significant functional impairments within the past year that are
                            the
                            result of the Psychiatric diagnosis or Other Conditions that May be the Focus of Clinical
                            Attention?
                          </span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isSignificantFunctionalImpairmentDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="significantFunctionalImpairment">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isSignificantFunctionalImpairmentDisabled"  (click)="significantFunctionalImpairmentSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isSignificantFunctionalImpairmentDisabled"  (click)="significantFunctionalImpairmentSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ significantFunctionalImpairmentSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1-padding-left">
                          <mat-label class="align-center font-color-red">Explain :</mat-label>
                          <mat-form-field appearance="outline" fxFlex="80">
                            <textarea rows="2" maxlength="250" matInput formControlName="significantFunctionalImpairmentExplain"
                            (input)="calculateSignificantFunctionalImpairmentExplainSource($event.target.value)"
                            (change)="calculateSignificantFunctionalImpairmentExplainSource($event.target.value)"></textarea>
                          </mat-form-field>
                        </div>
                        <div fxFlex="30" class="col2">
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space explainSource-padding-top-10"> {{ significantFunctionalImpairmentExplainSourceText }} </div>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant experienced marginal functional impairments as a result of a psychiatric diagnosis or condition?
                          </span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isMarginalFunctionalImpairmentPsychiatricDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="marginalFunctionalImpairmentPsychiatric">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y"  [disabled]="isMarginalFunctionalImpairmentPsychiatricDisabled"  (click)="marginalFunctionalImpairmentPsychiatricSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N"  [disabled]="isMarginalFunctionalImpairmentPsychiatricDisabled"  (click)="marginalFunctionalImpairmentPsychiatricSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ marginalFunctionalImpairmentPsychiatricSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <!-- Question 3-->
                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a serious mental illness (SPMI)?</span>
                          <span class="padding-left-20">({{ seriousMentalIllnessOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isSeriousMentalIllnessDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="seriousMentalIllness">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isSeriousMentalIllnessDisabled"  (click)="seriousMentalIllnessSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isSeriousMentalIllnessDisabled" (click)="seriousMentalIllnessSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ seriousMentalIllnessSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      
                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 673 || clientCategoryType === 674">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Excluding substance use disorders, does the applicant have a mental health (non-SPMI)
                            condition?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isExcludingSUDNonSPMIDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="excludingSUDNonSPMI">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isExcludingSUDNonSPMIDisabled" (click)="excludingSUDNonSPMISelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isExcludingSUDNonSPMIDisabled" (click)="excludingSUDNonSPMISelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ excludingSUDNonSPMISourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 672">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a SED condition that was diagnosed before the age of 18?</span>
                          <!-- <span class="padding-left-20">({{ haveSEDDiagnosedBefore18OrigText }})</span> -->
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveSEDDiagnosedBefore18Disabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveSEDDiagnosedBefore18">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isHaveSEDDiagnosedBefore18Disabled"  (click)="haveSEDDiagnosedBefore18Selected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveSEDDiagnosedBefore18Disabled" (click)="haveSEDDiagnosedBefore18Selected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveSEDDiagnosedBefore18SourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Is the applicant's psychiatric condition sufficiently stabilized for placement?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isStabilizedForPlacementDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="stabilizedForPlacement">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isStabilizedForPlacementDisabled" (click)="stabilizedForPlacementSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isStabilizedForPlacementDisabled" (click)="stabilizedForPlacementSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ stabilizedForPlacementSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1-padding-left">
                          <mat-label class="align-center font-color-red">Explain :</mat-label>
                          <mat-form-field appearance="outline" fxFlex="80">
                            <textarea rows="2" maxlength="250" matInput formControlName="stabilizedForPlacementExplain"
                            (input)="calculatestabilizedForPlacementExplainSource($event.target.value)"
                            (change)="calculatestabilizedForPlacementExplainSource($event.target.value)"></textarea>
                          </mat-form-field>
                        </div>
                        <div fxFlex="30" class="col2">
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space explainSource-padding-top-10"> {{ stabilizedForPlacementExplainSourceText }} </div>
                        </div>
                      </div>

                      <!--Question Gen Pop-->
                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 671 && clientCategoryType !== 672">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a developmental disability?</span>
                          <span class="padding-left-20">({{ developmentalDisabilityOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isDevelopmentalDisabilityDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="developmentalDisability">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isDevelopmentalDisabilityDisabled" (click)="developmentalDisabilitySelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isDevelopmentalDisabilityDisabled" (click)="developmentalDisabilitySelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ developmentalDisabilitySourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant experienced marginal functional impairments that are the result of a developmental disability?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isMarginalFunctionalImpairmentDevelopmentalDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="marginalFunctionalImpairmentDevelopmental">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isMarginalFunctionalImpairmentDevelopmentalDisabled" (click)="marginalFunctionalImpairmentDevelopmentalSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isMarginalFunctionalImpairmentDevelopmentalDisabled" (click)="marginalFunctionalImpairmentDevelopmentalSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ marginalFunctionalImpairmentDevelopmentalSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                    </div>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Substance Use Tab-->
        <mat-tab [disabled]="!isSubstanceUseTabEnabled">
          <ng-template matTabLabel>
            <span>Substance Use</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="clinical-review-small-box mat-elevation-z4" fxLayout="column">
                <div class="clinical-review-container mat-elevation-z4">
                  <form [formGroup]="substanceUseGroup">

                    <mat-expansion-panel [expanded]="substanceUseDocumentsExpanded"
                      (opened)="substanceUseDocumentsExpanded = true" (closed)="substanceUseDocumentsExpanded = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          <mat-icon>{{substanceUseDocumentsExpanded  ? 'indeterminate_check_box' : 'add_box' }}
                          </mat-icon>
                          <span class="clinicalReview-expansion-label">Documents</span>
                        </mat-panel-title>
                      </mat-expansion-panel-header>
                      <section *ngIf="substanceUseDocuments.pactApplicationId > 0">
                        <app-det-housing-determination-documents
                          [housingDeterminationDocumentsData]="substanceUseDocuments">
                        </app-det-housing-determination-documents>
                      </section>
                    </mat-expansion-panel>

                    <br />

                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Substance Use Questions</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a substance use disorder?</span>
                          <span class="padding-left-20">({{ haveSUDOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group aria-label="Select an option" formControlName="haveSUD">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" (click)="haveSUDSelected('Y')"> Yes </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" (click)="haveSUDSelected('N')"> No </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveSUDSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant used substances within the past 3 months?</span>
                          <span class="padding-left-20">({{usedSubstancesPast3MonthsOrigText}})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isUsedSubstancesPast3MonthsDisabled}">
                          <mat-radio-group aria-label="Select an option" 
                          formControlName="usedSubstancesPast3Months">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isUsedSubstancesPast3MonthsDisabled" (click)="usedSubstancesPast3MonthsSelected('Y')"> Yes </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isUsedSubstancesPast3MonthsDisabled" (click)="usedSubstancesPast3MonthsSelected('N')"> No </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ usedSubstancesPast3MonthsSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a substance use disorder that significantly affects his/her
                            ability to
                            function independently and results in restriction of Activities of Daily Living (ADLs)? 
                          </span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isSudRestrictionOfADLDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="sudRestrictionOfADL">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isSudRestrictionOfADLDisabled" (click)="sudRestrictionOfADLSelected('Y')"> Yes </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isSudRestrictionOfADLDisabled" (click)="sudRestrictionOfADLSelected('N')"> No </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ sudRestrictionOfADLSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType !== 675 && clientCategoryType !== 676">
                        <div fxFlex="70" class="col1-padding-left">
                          <mat-label class="align-center font-color-red">Explain :</mat-label>
                          <mat-form-field appearance="outline" fxFlex="80">
                            <textarea rows="2" maxlength="250" matInput formControlName="sudRestrictionOfADLExplain"
                            (input)="calculateSUDRestrictionOfADLExplainSource($event.target.value)"
                            (change)="calculateSUDRestrictionOfADLExplainSource($event.target.value)"></textarea>
                          </mat-form-field>
                        </div>
                        <div fxFlex="30" class="col2">
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space explainSource-padding-top-10"> {{ sudRestrictionOfADLExlpainSourceText }} </div>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant participated in or completed SUD treatment or
                            had 3-12 months of sobriety (time in residential treatment excluded)?
                          </span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isSudTreatmentCompletionDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="sudTreatmentCompletion">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isSudTreatmentCompletionDisabled" 
                              (click)="sudTreatmentCompletionSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isSudTreatmentCompletionDisabled" 
                              (click)="sudTreatmentCompletionSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ sudTreatmentCompletionSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Is there evidence that the applicant had a substance use disorder(s) within the last 5
                            years?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isSudEvidencePast5YearsDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="sudEvidencePast5Years">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isSudEvidencePast5YearsDisabled"
                              (click)="sudEvidencePast5YearsSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isSudEvidencePast5YearsDisabled"
                              (click)="sudEvidencePast5YearsSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ sudEvidencePast5YearsSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                    </div>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Medical Condition Tab-->
        <mat-tab [disabled]="!isMedicalConditionTabEnabled">
          <ng-template matTabLabel>
            <span>Medical Conditions</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="clinical-review-small-box mat-elevation-z4" fxLayout="column">
                <div class="clinical-review-container mat-elevation-z4">
                  <form [formGroup]="medicalConditionGroup">

                    <mat-expansion-panel [expanded]="medicalDiagnosesExpanded"
                      (opened)="medicalDiagnosesExpanded = true" (closed)="medicalDiagnosesExpanded = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          <mat-icon>{{medicalDiagnosesExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                          <span class="clinicalReview-expansion-label">Diagnoses</span>
                        </mat-panel-title>
                      </mat-expansion-panel-header>
                      <section>
                        <section>
                          <div class="margin-left-10">
                            <det-diagnosis [name] = "'Medical Diagnoses'"  [hasDiagnosis]="hasMedicalDiagnosis"
                              [options]="medicalDiagnosis" [diagnosis]="mdList" [allDiagnosisList]="diagnosisSearchList">
                            </det-diagnosis>
                          </div>
                          
                          <div class="margin-left-10">
                            <det-diagnosis [name] = "'Principal Diagnoses'"  [hasDiagnosis]="hasPrincipalDiagnosis"
                              [options]="principalDiagnosis" [diagnosis]="pdList"
                              [allDiagnosisList]="diagnosisSearchList">
                            </det-diagnosis>
                          </div>
  
                          <div class="margin-left-10">
                            <det-diagnosis [name] = "'Other Conditions that may be the focus of Clinical Attention'" [hasDiagnosis]="hasOtherDiagnosis"
                              [options]="otherDiagnosis" [diagnosis]="odList" [allDiagnosisList]="diagnosisSearchList">
                            </det-diagnosis>
                          </div>
                        </section>
                      </section>
                    </mat-expansion-panel>

                    <br />

                    <mat-expansion-panel [expanded]="medicalDocumentsExpanded"
                      (opened)="medicalDocumentsExpanded = true" (closed)="medicalDocumentsExpanded = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                          <mat-icon>{{medicalDocumentsExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
                          <span class="clinicalReview-expansion-label">Documents</span>
                        </mat-panel-title>
                      </mat-expansion-panel-header>
                      <section *ngIf="medicalDocuments.pactApplicationId > 0">
                        <app-det-housing-determination-documents 
                          [housingDeterminationDocumentsData]="medicalDocuments">
                        </app-det-housing-determination-documents>
                      </section>
                    </mat-expansion-panel>

                    <br />

                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Medical Conditions Questions</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 671 || clientCategoryType === 672"
                      [ngClass]="{'disableDiv': true}">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Is the applicant active in HASA?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isActiveInHASADisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="isActiveInHASA">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isActiveInHASADisabled"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isActiveInHASADisabled"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ isActiveInHASASourceText }} </div>
                          </mat-radio-group>
                        </div>

                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 671 || clientCategoryType === 672">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a documented diagnosis of HIV/AIDS?</span>
                          <span class="padding-left-20">({{ haveHIVAIDSDocumentedOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveHIVAIDSDocumentedDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveHIVAIDSDocumented">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y"  [disabled]="isHaveHIVAIDSDocumentedDisabled" (click)="haveHIVAIDSDocumentedSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N"  [disabled]="isHaveHIVAIDSDocumentedDisabled" (click)="haveHIVAIDSDocumentedSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveHIVAIDSDocumentedSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 673 || clientCategoryType === 674">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have current medical diagnosis (Including HIV/AIDS)? </span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveCurrentMedicalDiagnosisDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveCurrentMedicalDiagnosis">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y"  [disabled]="isHaveCurrentMedicalDiagnosisDisabled" (click)="haveCurrentMedicalDiagnosisSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveCurrentMedicalDiagnosisDisabled"  (click)="haveCurrentMedicalDiagnosisSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveCurrentMedicalDiagnosisSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 673 || clientCategoryType === 674">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Do any of the applicant’s medical conditions significantly affect his/her ability to
                            function independently and result in restriction of activities of daily living (ADL)?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isRestrictionOfADLDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="restrictionOfADL">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isRestrictionOfADLDisabled" (click)="medicalRestrictionOfADLSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isRestrictionOfADLDisabled" (click)="medicalRestrictionOfADLSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ restrictionOfADLSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a chronic medical diagnosis or condition?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveChronicMedicalConditionDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveChronicMedicalCondition">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y"  [disabled]="isHaveChronicMedicalConditionDisabled" (click)="haveChronicMedicalConditionSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N"  [disabled]="isHaveChronicMedicalConditionDisabled" (click)="haveChronicMedicalConditionSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveChronicMedicalConditionSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant experienced marginal functional
                            impairments as a result of a medical diagnosis or condition?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isMarginalFunctionalImpairmentMedicalDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="marginalFunctionalImpairmentMedical">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isMarginalFunctionalImpairmentMedicalDisabled" (click)="marginalFunctionalImpairmentMedicalSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isMarginalFunctionalImpairmentMedicalDisabled" (click)="marginalFunctionalImpairmentMedicalSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ marginalFunctionalImpairmentMedicalSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Does the applicant have a neurocognitive condition and/or cognitive impairment?</span>
                          <span class="padding-left-20">({{ haveNeuroCognitiveImpairmentOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveNeuroCognitiveImpairmentDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveNeuroCognitiveImpairment">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isHaveNeuroCognitiveImpairmentDisabled" (click)="haveNeuroCognitiveImpairmentSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveNeuroCognitiveImpairmentDisabled" (click)="haveNeuroCognitiveImpairmentSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveNeuroCognitiveImpairmentSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px" *ngIf="clientCategoryType === 675 || clientCategoryType === 676">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Has the applicant experienced marginal functional
                            impairments that are the result of a neurocognitive condition or cognitive
                            impairment?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isMarginalFuntionalImpairmentNeuroDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="marginalFuntionalImpairmentNeuro">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isMarginalFuntionalImpairmentNeuroDisabled"  (click)="marginalFuntionalImpairmentNeuroSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isMarginalFuntionalImpairmentNeuroDisabled"  (click)="marginalFuntionalImpairmentNeuroSelected('Y')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ marginalFuntionalImpairmentNeuroSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                    </div>

                  </form>
                </div>
              </div>
            </mat-card>

          </ng-template>
        </mat-tab>

        <!--At Risk-->
        <mat-tab [disabled]="!isClinicalAtRiskTabEnabled" *ngIf="clientCategoryType === 672 || clientCategoryType === 674 || clientCategoryType === 676">
          <ng-template matTabLabel>
            <span>At Risk</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="clinical-review-small-box mat-elevation-z4" fxLayout="column">
                <div class="clinical-review-container mat-elevation-z4">
                  <form [formGroup]="clinicalAtRiskGroup">

                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Young Adult At Risk Questions</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Is there sufficient evidence that the applicant had marked functional impairments in
                            ADL's,
                            social functioning, or in school or work as a result of emotional,
                            behavioral or developmental issues?</span>
                            <span class="padding-left-20">({{ isFunctionalImpairmentsMarkedOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group aria-label="Select an option" formControlName="isFunctionalImpairmentsMarked">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" (click)="isFunctionalImpairmentsMarkedSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" (click)="isFunctionalImpairmentsMarkedSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ isFunctionalImpairmentsMarkedSourceText }} </div>
                          </mat-radio-group>
                        </div>

                      </div>

                    </div>

                    <br />

                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Young Adult Head of Household
                            Information</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Review Response</span></div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Have limited education (less than H.S. Diploma/TASC)?</span>
                          <span class="padding-left-20">({{ haveLimitedEducationOrigDescription }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveLimitedEducationDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveLimitedEducation">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isHaveLimitedEducationDisabled" (click)="haveLimitedEducationSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveLimitedEducationDisabled" (click)="haveLimitedEducationSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveLimitedEducationSourceText }} </div>
                          </mat-radio-group>
                        </div>

                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Have limited employment history (6 months or less over the last 24 months)? </span>
                          <span class="padding-left-20">({{ haveLimitedEmpHistoryOrigDescription }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveLimitedEmpHistoryDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveLimitedEmpHistory">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isHaveLimitedEmpHistoryDisabled" (click)="haveLimitedEmpHistorySelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveLimitedEmpHistoryDisabled" (click)="haveLimitedEmpHistorySelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveLimitedEmpHistorySourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Have a history of trauma or risk of victimization?</span>
                          <span class="padding-left-20">({{ haveHistoryOfTraumaOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isHaveHistoryOfTraumaDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="haveHistoryOfTrauma">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isHaveHistoryOfTraumaDisabled" (click)="haveHistoryOfTraumaSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isHaveHistoryOfTraumaDisabled" (click)="haveHistoryOfTraumaSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ haveHistoryOfTraumaSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>


                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Have a history of involvement in at least two systems
                            (ACS, DOC, RTF/RTC, DYCD, other) within the last two years?
                          </span>
                          <span class="padding-left-20">({{ isInvolvedinTwoSystemsOrigText }})</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isInvolvedinTwoSystemsDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="isInvolvedinTwoSystems">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isInvolvedinTwoSystemsDisabled" (click)="isInvolvedinTwoSystemsSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isInvolvedinTwoSystemsDisabled" (click)="isInvolvedinTwoSystemsSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ isInvolvedinTwoSystemsSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1 font-color-red">
                          <span>Other serious issues impacting the young adult household to be considered as a risk
                            factor?</span>
                        </div>
                        <div fxFlex="30" class="col2" [ngClass]="{'disableDiv': isOtherRiskFactorIssuesDisabled}">
                          <mat-radio-group aria-label="Select an option" formControlName="otherRiskFactorIssues">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" [disabled]="isOtherRiskFactorIssuesDisabled" (click)="otherRiskFactorIssuesSelected('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" [disabled]="isOtherRiskFactorIssuesDisabled" (click)="otherRiskFactorIssuesSelected('N')"> No
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space"> {{ otherRiskFactorIssuesSourceText }} </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1-padding-left">
                          <mat-label class="align-center font-color-red">Explain :</mat-label>
                          <mat-form-field appearance="outline" fxFlex="80">
                            <textarea rows="2" maxlength="250" matInput formControlName="otherRiskFactorIssuesExplain"
                            (input)="calculateOtherRiskFactorIssuesExplainSource($event.target.value)"
                            (change)="calculateOtherRiskFactorIssuesExplainSource($event.target.value)"></textarea>
                          </mat-form-field>
                        </div>
                        <div fxFlex="30" class="col2">
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space">
                          </div>
                          <div class="radio-button-space explainSource-padding-top-10"> {{ otherRiskFactorIssuesExplainSourceText }} </div>
                        </div>
                      </div>

                    </div>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Clinical Summary-->
        <mat-tab [disabled]="!isClinicalSummaryTabEnabled">
          <ng-template matTabLabel>
            <span>Clinical Summary</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="clinical-review-small-box mat-elevation-z4" fxLayout="column">
                <div class="clinical-review-container mat-elevation-z4">
                  <form [formGroup]="mentalHealthGroup">
                    <div fxLayout="column" flex>
                      <!-- <div fxLayout="row">
                        <det-summary></det-summary>
                      </div> -->

                      <div fxLayout="row">
                        <div fxFlex="100">
                          <det-summary [detClinicalHomelessMedicaidReviewInput]="detClinicalReviewInput"
                          (calculateClinicalInEligible)="calculateClinicalInEligible($event)"></det-summary>
                        </div>
                      </div>

                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

      </mat-tab-group>
    </mat-card-content>

    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-left" *ngIf="isSaveButtonVisible">
          <button type="button" mat-raised-button color="primary" (click)="saveTabData(0, selectedTab)" matTooltip="Save"
            matTooltipClass="pact-tooltip">Save</button>
        </div>

        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip">Previous</button>
          &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip">Next</button>
        </div>
      </div>
    </div>


  </mat-card>

</div>